DELETE
/datasets/{Dataset_Id}/lifecycle-rule/{rule_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/lifecycle-rule/{rule_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/lifecycle-rule/{rule_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/lifecycle-rule/{rule_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Delete a lifecycle rule from the dataset’s EOS bucket.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Dataset_Id
required
integer
rule_id
required
string
ID of the lifecycle rule to delete
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Success response for lifecycle rule deletion.
Media typeapplication/json
object
code
integer
data
string
errors
object
message
string
Example
{ "code": 200, "data": "Lifecycle rule deleted successfully", "errors": {}, "message": "Success"}